Bug 987714 - Failed to get D-Bus connection: No connection to service manager.
Failed to get D-Bus connection: No connection to service manager.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.0
Unspecified All
unspecified Severity unspecified
: rc
: ---
Assigned To: systemd-maint
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 20:20 EDT by Brian Lane
Modified: 2016-03-14 15:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 11:17:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl output with rd.debug (322.95 KB, text/plain)
2013-07-23 20:23 EDT, Brian Lane
no flags Details

  None (edit)
Description Brian Lane 2013-07-23 20:20:06 EDT
Description of problem:
Trying to debug a driver-update disk problem with 7/22 nightly boot.iso

Version-Release number of selected component (if applicable):
Unknown.

How reproducible:
Always.

Steps to Reproduce:
1. Boot with a dd iso attached as a disk and pass inst.dd=/dev/sda rd.debug
2. Observe attempt to start driver-updates@tty1.service fail

This works on F19, and on earlier RHEL7 composes (this is related to bug 987513, I've asked for the version he used).
Comment 1 Brian Lane 2013-07-23 20:23:00 EDT
Created attachment 777526 [details]
journalctl output with rd.debug

The relevant section can be found by searching for "Starting Driver Update Disk"

Jul 23 23:51:32 localhost dracut: Starting Driver Update Disk Service on tty1
Jul 23 23:51:32 localhost dracut: ///lib/dracut/hooks/pre-trigger/40-driver-updates.sh@25(source): echo /dev/sda
Jul 23 23:51:32 localhost dracut: ///lib/dracut/hooks/pre-trigger/40-driver-updates.sh@26(source): info 'Starting Driver Update Disk Service on tty1'
Jul 23 23:51:32 localhost dracut: //lib/dracut-lib.sh@417(info): check_quiet
Jul 23 23:51:32 localhost dracut: //lib/dracut-lib.sh@397(check_quiet): '[' -z yes ']'
Jul 23 23:51:32 localhost dracut: //lib/dracut-lib.sh@418(info): echo '<30>dracut: Starting Driver Update Disk Service on tty1'
Jul 23 23:51:32 localhost dracut: //lib/dracut-lib.sh@419(info): '[' yes '!=' yes ']'
Jul 23 23:51:32 localhost dracut: ///lib/dracut/hooks/pre-trigger/40-driver-updates.sh@27(source): systemctl start driver-updates@tty1.service
Jul 23 23:51:32 localhost dracut: Failed to get D-Bus connection: No connection to service manager.
Jul 23 23:51:32 localhost dracut: ////lib/dracut/hooks/pre-trigger/40-driver-updates.sh@28(source): systemctl -p ExecMainStatus show driver-updates@tty1.service
Jul 23 23:51:32 localhost dracut: Failed to get D-Bus connection: No connection to service manager.
Jul 23 23:51:32 localhost dracut: DD status=
Jul 23 23:51:32 localhost dracut: ///lib/dracut/hooks/pre-trigger/40-driver-updates.sh@28(source): status=
Jul 23 23:51:32 localhost dracut: ///lib/dracut/hooks/pre-trigger/40-driver-updates.sh@29(source): info 'DD status='
Jul 23 23:51:32 localhost dracut: //lib/dracut-lib.sh@417(info): check_quiet
Jul 23 23:51:32 localhost dracut: //lib/dracut-lib.sh@397(check_quiet): '[' -z yes ']'
Jul 23 23:51:32 localhost dracut: //lib/dracut-lib.sh@418(info): echo '<30>dracut: DD status='
Jul 23 23:51:32 localhost dracut: //lib/dracut-lib.sh@419(info): '[' yes '!=' yes ']'
Comment 3 Brian Lane 2013-07-24 12:41:33 EDT
The boot.iso from RHEL-7.0-20130710.n.0 is working correctly, so whatever changed was after that.
Comment 4 Harald Hoyer 2013-07-30 04:57:33 EDT
In the initramfs there is no D-Bus. But I agree, systemctl should fall back to non-D-BUS communication here!
Comment 5 Harald Hoyer 2013-07-30 06:22:58 EDT
err... in the latest boot.iso it seems like systemd is not even included in the initramfs.
Comment 6 Harald Hoyer 2013-07-30 07:39:54 EDT
(In reply to Harald Hoyer from comment #5)
> err... in the latest boot.iso it seems like systemd is not even included in
> the initramfs.

Can you confirm that?
Comment 7 RHEL Product and Program Management 2014-03-22 02:43:28 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.